import Ajax from '../../util/ajax'
import api from '../../util/api'
const http = new Object

// 请求数据
http.getNav = (data) => {
  return new Promise((resolve, reject) => {
    Ajax(api.fiveA.nav.url, {
      method: api.fiveA.nav.method
    }).then(res => {
      resolve(res)
    }).catch((err) => {
      reject(err)
    })
  })
}

http.getBanner = (data) => {
  console.log(data)
  return new Promise((resolve, reject) => {
    Ajax(api.fiveA.banner.url, {
      method: api.fiveA.banner.method
    }).then(res => {
      resolve(res)
    }).catch((err) => {
      reject(err)
    })
  })
}

http.getList = (data) => {
  console.log(data)
  return new Promise((resolve, reject) => {
    Ajax(api.fiveA.list.url, {
      method: api.fiveA.list.method
    }).then(res => {
      resolve(res)
    }).catch((err) => {
      reject(err)
    })
  })
}

http.getCms = (data) => {
  console.log(data)
  return new Promise((resolve, reject) => {
    Ajax(api.fiveA.cms.url, {
      method: api.fiveA.cms.method
    }).then(res => {
      resolve(res)
    }).catch((err) => {
      reject(err)
    })
  })
}

export default {
  namespaced: true,
  state: {
    nav: [],
    banner: [],
    list: [],
    cms: []
  },
  mutations: {
    setNav (state, data) {
      state.nav = data
    },
    setBannet (state, data) {
      state.banner = data
    },
    setList (state, data) {
      state.list = data
    },
    setCms (state, data) {
      state.cms = data
    }
  },
  actions: {
    // async getIndexInfo (context, param) { // 首页全部请求
    //   try {
    //     let banner = await http.getBanner(param)
    //     context.commit('setBanner', banner)
    //     let fiveA = await http.getFiveA(param)
    //     context.commit('setFiveA', fiveA)
    //     let message = await http.getBanner(param)
    //     context.commit('setMessage', message)
    //     let porject = await http.getBanner(param)
    //     context.commit('setPorject', porject)
    //     let cms = await http.getBanner(param)
    //     context.commit('setCms', cms)
    //   } catch (err) {
    //     console.log(err)
    //   }
    // }
    getFiveAInfo (context, data) {
      http.getNav().then((res) => {
        context.commit('setNav', res)
      })
      http.getBanner().then((res) => {
        context.commit('setBanner', res)
      })
      http.getList().then((res) => {
        context.commit('setList', res)
      })
      http.getCms().then((res) => {
        context.commit('setCms', res)
      })
    }
  }
}
