const baseUrl = '/api'
const wechat = '/wechat'
const guest = '/guest'
const common = '/common'

const $api = {
  index: { // 首页
    location: { // 获取轮播图
      method: 'get',
      url: `${baseUrl}${guest}/cms/location`
    },
    banner: { // 获取轮播图
      method: 'get',
      url: `${baseUrl}${guest}/cms/img`
    },
    fiveA: { // 获取5A
      method: 'get',
      url: `${baseUrl}${guest}/cms/location`
    },
    message: { // 获取最新消息
      method: 'get',
      url: `${baseUrl}${guest}/cms/info`
    },
    project: { // 获取项目专题
      method: 'get',
      url: `${baseUrl}${guest}/cms/case`
    },
    cms: { // 获取cms消息
      method: 'get',
      url: `${baseUrl}${guest}/cms/news`
    }
  },
  fiveA: {
    nav: {
      method: 'post',
      url: `${baseUrl}${wechat}/wxsignin`
    },
    banner: {
      method: 'post',
      url: `${baseUrl}${wechat}/wxsignin`
    },
    list: {
      method: 'post',
      url: `${baseUrl}${wechat}/wxsignin`
    },
    cms: {
      method: 'post',
      url: `${baseUrl}${wechat}/wxsignin`
    }
  },
  user: {
    info: { // 获取用户信息
      method: 'get',
      url: `${baseUrl}${wechat}/wxsignin`
    },
    case: { // 获取案场及销售列表
      method: 'get',
      url: `${baseUrl}${guest}/case`
    },
    wxsignup: { // 绑定手机号
      method: 'post',
      url: `${baseUrl}${guest}/wxsignup`
    },
    captcha: { // 获取手机验证码
      method: 'get',
      url: `${baseUrl}${guest}/captcha`
    }
  }
}
export default $api
